import request from '@/utils/request'

//查询当前系统最高级的deptId
export function getTopDeptId(query) {
  return request({
    url: '/enforce/website/getTopDeptId',
    method: 'get',
    params: query
  })
}

//查询新闻管理列表固定条数
export function news(number,deptId,limit) {
  return request({
    url: '/enforce/website/news/'+number+'/'+deptId+'/'+limit,
    method: 'get'
  })
}

//查询方案公开固定条数
export function scheme(deptId,limit) {
  return request({
    url: '/enforce/website/scheme/'+deptId+'/'+limit,
    method: 'get'
  })
}

//查询举报留言
export function communicate(query) {
  return request({
    url: '/enforce/website/communicate/list',
    method: 'get',
    params: query
  })
}

//查询农用品管理列表
export function productList(query) {
  return request({
    url: '/enforce/website/product/list',
    method: 'get',
    params: query
  })
}

//查询新闻管理列表分页
export function newsList(query) {
  return request({
    url: '/enforce/website/newsList',
    method: 'get',
    params: query
  })
}

//查询新闻详情
export function newsDetail(id) {
  return request({
    url: '/enforce/website/news/'+id,
    method: 'get'
  })
}

//查询方案公开固定条数
export function schemeList(query) {
  return request({
    url: '/enforce/website/scheme/list',
    method: 'get',
    params: query
  })
}

//获取方案管理详细信息
export function schemeDetail(id) {
  return request({
    url: '/enforce/website/scheme/get/'+id,
    method: 'get'
  })
}

// 查询案件登记列表
export function listCase(query) {
  return request({
    url: '/enforce/case/list',
    method: 'get',
    params: query
  })
}

// 查询案件登记详细
export function getCase(id) {
  return request({
    url: '/enforce/case/get/' + id,
    method: 'get'
  })
}

// 查询方案管理列表不分页
export function schemeOptionList(query) {
  return request({
    url: '/enforce/scheme/schemeList',
    method: 'get',
    params: query
  })
}

// 查询部门下拉树结构
export function treeselect() {
  return request({
    url: '/system/dept/treeselect',
    method: 'get'
  })
}

// 查询案件勘察详细
export function getSurveyByCaseId(caseId) {
  return request({
    url: '/enforce/survey/getSurveyByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询立案信息详细
export function getputRecordByCaseId(caseId) {
  return request({
    url: '/enforce/putrecord/getputRecordByCaseId/' + caseId,
    method: 'get'
  })
}

// caseId查询抽样信息详细
export function getSamplingByCaseId(caseId) {
  return request({
    url: '/enforce/sampling/getSamplingByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询农业执法-案件-取证信息详细
export function getEvidenceByCaseId(caseId) {
  return request({
    url: '/enforce/evidence/getEvidenceByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询抽样产品检测结果详细
export function getReportByGoodsId(goodsId) {
  return request({
    url: '/enforce/report/getReportByGoodsId/' + goodsId,
    method: 'get'
  })
}

// 查询执法人员管理列表
export function getEnforcerList(query) {
  return request({
    url: '/enforce/enforcer/allList',
    method: 'get',
    params: query
  })
}

// 查询农业执法-案件-处理信息详细
export function getTreatByCaseId(caseId) {
  return request({
    url: '/enforce/treat/getTreatByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询裁决信息详细
export function getDecisionByCaseId(caseId) {
  return request({
    url: '/enforce/decision/getDecisionByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询执行信息详细
export function getExecuteByCaseId(caseId) {
  return request({
    url: '/enforce/execute/getExecuteByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询结案信息详细
export function getEndingByCaseId(caseId) {
  return request({
    url: '/enforce/ending/getEndingByCaseId/' + caseId,
    method: 'get'
  })
}
